body{
    background-color: var(--color1);
}

main{
    /* background-color: var(--color5); */
    margin-top: 100px;
}

.white{
    color: white;
}

.heading{
    font-size: 40px;
    margin: 40px 20px;
    padding-top: 40px;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;

    color: var(--color5);
}


@media screen and (min-width: 760px){
    main{
        margin-top: 200px;
    }

    .section1{
        display: flex;
        justify-content: center;
    }

    .heading{
        margin-left: 100px;
    }
}

@media screen and (min-width: 1000px){

    .heading{
        font-size: 60px;
        margin-left: 200px;
    }
}

       /* Container for the cards */
       .card-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
        gap: 20px;
        max-width: 1000px;
        margin: auto;
      }
    
      /* Individual card */
      .card {
        position: relative;
        width: 200px;
        height: 300px;
        overflow: hidden;
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        transition: transform 0.3s ease;
        text-align: center;

      }
    
      .card1{
        width: 300px;
        height: 200px;
      }
    
      /* Image inside the card */
      .card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    
      /* Overlay */
      .overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(219, 218, 218, 0.5);
        color: black;
        font-weight: bold;
        opacity: 0;
        transition: opacity 0.3s ease;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
      }
    
      /* Text on the overlay */
      .overlay-text {
        font-size: 20px;
        text-align: center;
      }
    
      /* Hover effect */
      .card:hover {
        transform: translateY(-5px);
      }
    
      .card:hover .overlay {
        opacity: 1;
      }

      @media screen and (min-width: 700px){

        .card-container {
            display: grid;
            grid-template-columns: 45% 45%;
            gap: 5%;
        }

        /* .card{
            margin: 0 50px;
        } */
    }

      @media screen and (min-width: 900px){

        .card-container {
            display: grid;
            grid-template-columns: 30% 30% 30%;
            gap: 5%;
        }

    }